<?php
/**
 * @package takeoff
 */


/* Helper function to get options set by the Options Framework plugin
======================================================================== */

if ( !function_exists( 'of_get_option' ) ) :
function of_get_option( $name, $default = false ) {

	$optionsframework_settings = get_option( 'optionsframework' );

	// Gets the unique option id
	$option_name = $optionsframework_settings['id'];

	if ( get_option($option_name) ) {
		$options = get_option($option_name);
	}

	if ( isset($options[$name]) ) {
		return $options[$name];
	} else {
		return $default;
	}
}
endif;



/* Post Tags
================================================== */

$tags_checkbox = of_get_option('tags_checkbox');

/* Post Categories
================================================== */

$categories_checkbox = of_get_option('categories_checkbox');

/* Author Information
================================================== */

$author_info_checkbox = of_get_option('author_info_checkbox');

/* Continue Reading Section
================================================== */

$nextprev_checkbox = of_get_option('nextprev_checkbox');

/* Breadcrumbs
================================================== */

$breadcrumbs_checkbox = of_get_option('breadcrumbs_checkbox');


/* Sitewide Font Style
================================================== */

function global_font_style() {

		$output = '';

		if ( of_get_option( 'global_font_style' )) {
			$output .= "body {font-family:" . of_get_option('global_font_style') . "}\n";
		}

		// Output styles
		if ($output <> '') {
			$output = "<!-- Custom Styling -->\n<style type=\"text/css\">\n" . $output . "</style>\n";
			echo $output;
		}
}

add_action( 'wp_head', 'global_font_style' );